View Issue Details

IDProjectCategoryView StatusLast Update
0001872mantisbtbugtrackerpublic2004-08-29 02:14
Reportermagico Assigned Tovboctor  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionwon't fix 
Product Version0.17.1 
Summary0001872: Super simple report / simple report / advanced report
Description

Even the simple report, provides some 'extra' things, not needed by normal users (not us programmers).
The idea is to provide a 'super simple report' mode where it is enough to supply a description box and (eventually) a category lookup.

Why this? Simple, many users don't like to report bugs (especially to write them) and if we ask them to fill a form with some fields they refuse to do it. Off course the problem is always our (because I'll have to listen them and fill the form myself).

So, if we have only a description field, they can write what they want and then when reading the bugs, we'll assign the correct category and other information.

TagsNo tags attached.

Relationships

related to 0004227 acknowledged Roadmap 1.0 - Templates 

Activities

rcrespo

rcrespo

2002-04-24 06:30

reporter   ~0002377

customizable fields and being able to create your own reports is something I think would really benefit mantis. I hope we can see this atleast one day in the near future.

blizzy

blizzy

2002-04-25 16:32

reporter   ~0002393

Full ACK. Lowering the barriers to submitting bug reports is always a benefit.

prescience

prescience

2002-04-30 20:55

reporter   ~0002413

There is the need to strike the balance between stooping to laziness and requiring enough information to be able to fix the issue. THis sort of thing is on the long term roadmap.

rep

rep

2002-05-02 07:52

reporter   ~0002420

Please make the report forms table driven. For example the following table could be used to create your advanced report form:

Field Action Access Default
Category, Required, >=reporter,
Reproducibility, Required, >=reporter, always
Severity, Required, >=reporter, minor
Profile, Optional, >=reporter,
Platform, Optional, >=reporter,
OS, Optional, >=reporter,
Assign To, Optional, >=Developer,
Summary, Required, >=reporter,
Descrpition, Required, >=reporter,
Steps to Reproduce Optional, >=Developer,
Additional Info, Optional, >=reporter,
Upload file Optional, >=reporter, false
Report Stay Optional, >=reporter,

A super simple form might look like:

Summary, Required, >=reporter
Descrpition, Required, >=reporter
Category, Optional, >=reporter
Reproducibility, Optional, >=reporter, N/A
Severity, Optional, >=reporter, minor

Obviously this is a first cut that may not have the features you really need, but you can see that such a table would allow users to easily customize bug reporting screens from kitchen sink - to description only.

prescience

prescience

2002-05-10 13:56

reporter   ~0002535

Summary and description are now the only two required fields. Th drop downs are automatically set on some valid entry.

prescience

prescience

2002-05-10 13:57

reporter   ~0002536

I'll see about the table driven selectable inputs. Probably roll something in 0.18.0

vboctor

vboctor

2004-07-31 19:16

manager   ~0006503

This will be achieved when template support is implemented.

Issue History

Date Modified Username Field Change
2004-07-31 19:15 vboctor Relationship added related to 0004227
2004-07-31 19:16 vboctor Status new => resolved
2004-07-31 19:16 vboctor Resolution open => won't fix
2004-07-31 19:16 vboctor Assigned To => vboctor
2004-07-31 19:16 vboctor Note Added: 0006503
2004-08-29 02:14 vboctor Status resolved => closed